%define oname rpm

Summary: RPM bindings for ruby
Name: ruby-rpm
Epoch: 1
Version: 0.0.5
Release: %mkrel 7
Group: Development/Ruby
License: GPL
URL: https://github.com/dmacvicar/ruby-rpm-ffi
Source0: https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0: rpm-4.14.patch
Patch1: major.patch
BuildRequires: ruby-ffi
BuildRequires: ruby-rake
BuildRequires: rubygems
BuildRequires: ruby-minitest
BuildArch: noarch

%description
RPM bindings for ruby

%prep
%gem_setup
%autopatch -p1
sed -i s/MiniTest::Unit::TestCase/Minitest::Test/ test/*.rb
sed -i s/Fixnum/Integer/ test/test_lib.rb

%build
%gem_build

%install
%gem_install

%check
ruby -I. test/test_lib.rb
ruby -I. test/test_version.rb

%files
%doc %{gem_docdir}
%{gem_instdir}
%{gem_spec}



%changelog
* Sun Jan 05 2025 pterjan <pterjan> 1:0.0.5-7.mga10
+ Revision: 2135615
- Fix build with recent versions of things

* Sat Mar 26 2022 umeabot <umeabot> 1:0.0.5-6.mga9
+ Revision: 1827791
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 pterjan <pterjan> 1:0.0.5-5.mga9
+ Revision: 1759504
- Update patch for new librpm major and enable some tests

* Wed Feb 12 2020 umeabot <umeabot> 1:0.0.5-4.mga8
+ Revision: 1507898
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1:0.0.5-3.mga7
+ Revision: 1291212
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 pterjan <pterjan> 1:0.0.5-2.mga7
+ Revision: 1254156
- Fix loading new librpm major when -devel is not installed

* Sat Sep 09 2017 pterjan <pterjan> 1:0.0.5-1.mga7
+ Revision: 1152288
- Patch for 4.14 API changes (at least enough for my tests to work)
- Switch to the rpm gem based on ffi
+ tv <tv>
- BR ruby-psych
- rebuild for new rpm

* Mon Aug 14 2017 pterjan <pterjan> 1.3.1-20.mga7
+ Revision: 1140328
- Rebuild for new Ruby

* Sat Feb 20 2016 umeabot <umeabot> 1.3.1-19.mga6
+ Revision: 972404
- Mageia 6 Mass Rebuild

* Tue Nov 03 2015 pterjan <pterjan> 1.3.1-18.mga6
+ Revision: 897669
- Rebuild for ruby 2.2

* Sun Sep 06 2015 tv <tv> 1.3.1-17.mga6
+ Revision: 873252
- submit to core/release

* Sun Aug 23 2015 tv <tv> 1.3.1-16.mga6
+ Revision: 868811
- rebuild for rpm-4.13

* Sun Aug 23 2015 tv <tv> 1.3.1-15.mga6
+ Revision: 868201
- rebuild for rpm-4.13

* Sat Aug 01 2015 tv <tv> 1.3.1-14.mga6
+ Revision: 860464
- rebuild for rpm-4.13

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-13.mga5
+ Revision: 739573
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-12.mga5
+ Revision: 688936
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.3.1-11.mga4
+ Revision: 562686
- Fix gem macros and drop old workaround

* Thu Dec 19 2013 pterjan <pterjan> 1.3.1-10.mga4
+ Revision: 558714
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1.3.1-9.mga4
+ Revision: 537972
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 1.3.1-8.mga4
+ Revision: 488213
- define oname
- use gem-setup

* Fri Feb 08 2013 umeabot <umeabot> 1.3.1-7.mga3
+ Revision: 396392
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.3.1-6.mga3
+ Revision: 381356
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 1.3.1-5.mga3
+ Revision: 332372
- patch 10: adapt to rpm-4.1
- rebuild for new rpm

* Thu Nov 08 2012 pterjan <pterjan> 1.3.1-4.mga3
+ Revision: 316268
- Patches for new rpm and new ruby
+ fwang <fwang>
- rebuild for updated rpm
+ tv <tv>
- rebuild for new rpm-4.10.0

* Tue Jan 03 2012 pterjan <pterjan> 1.3.1-2.mga2
+ Revision: 189763
- Fixed file list
- Updated doc list
- Port to rpm 4.9
+ fwang <fwang>
- new version 1.3.1
+ dmorgan <dmorgan>
- Rebuild against rpm 4.9.1.2

* Sat Apr 30 2011 pterjan <pterjan> 1.2.3-12.mga1
+ Revision: 93765
- Bump release
- imported package ruby-rpm

